=== debian/changelog ===
lapack (3.6.0-2ubuntu2) xenial; urgency=medium

  * Don't run the blas-testsuite autopkg test, apparently it has known
    test failures on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Jan 2016 02:16:57 +0100

lapack (3.6.0-2ubuntu1) xenial; urgency=medium

  * Don't run the lapack-testsuite autopkg test, apparently it has known
    test failures, which are not regressions. See Debian #811191.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Jan 2016 19:25:04 +0100

lapack (3.6.0-2) unstable; urgency=low

  * Build deprecated routines in LAPACK and LAPACKE. (Closes: #810143)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Jan 2016 11:00:31 +0100

lapack (3.6.0-1) unstable; urgency=low

  * Imported Upstream version 3.6.0
  * No longer repack upstream tarball.
  * d/copyright: rewrite in machine readable format 1.0.
  * Remove patches applied upstream.
    + cgesvd-zgesvd-stack-corruption.patch
    + zstemr-n2.patch
    + zlanhf-clanhf-norm.patch
    + dormlq_interface_check.patch
    + dlansy_1_norm_segfault.patch
    + dlange_rowmajor_inconsistent.patch
  * doxygen-exclude-binary-objects.patch: drop patch, no longer needed.
  * decouple_gcc.diff: remove patch.
    Add equivalent functionality in the make.inc rule of debian/rules.
  * lapack_testing.patch: drop useless patch.
  * fix-typos.patch: new patch, fixes various typos.
    Thanks to lintian!
  * doxygen-strip-source.patch: new patch.
    Suppresses verbatim source code from Doxygen output, to save space.
  * Build libblas* binary packages (taken over from src:blas).
    + New patches:
      - cblas-makerule.patch
      - cblas-test-output.patch
      - cblas-zblat2.patch
      - icamax-izamax-extended-precision.patch
    + libblas-doc is now a transitional package (depends on
      liblapack-doc-man). Unmaintained cinterface.pdf and faq.html have
      been dropped.
    + libblas-test: ship test data files in /usr/lib/libblas.
    + libblas-dev now suggests liblapack-doc{,-man}.
    + Patches not taken from src:blas:
      - an apparently wrong patch for crotg.
      - the big patch for dealing with info codes in cblas routines when
        used in row major order, when xerbla was overridden by the user.
        The modified behavior was debatable, and at any rate, it is not
        implemented in ATLAS and OpenBLAS.
  * Ship all manpages (including BLAS') in liblapack-doc-man.
    Drop no_blas_manpages.patch. Incidentally, all BLAS routines now have
    manpages, including the xDOT ones. (Closes: #511574)
  * LAPACK testsuite in liblapack-test:
    + dynamically link test programs.
    + Move test input data to /usr/lib/lapack.
    + Ship a script for running all tests in /u/s/doc/liblapack-test/examples.
  * liblapack{,e}-dev now suggest liblapack-doc{,-man}.
  * Drop liblapack-dbg, migrate to automatic debug packages.
  * d/liblapack-doc.dirs: delete it, no need for these empty dirs.
  * Remove useless *.md5 and *.map in liblapack-doc.
  * Add autopkgtest for BLAS and LAPACK testsuites.
  * Various improvements to package descriptions.
  * Ship lapacke.pc in liblapacke-dev.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Jan 2016 11:35:04 +0100

lapack (3.5.0-5) unstable; urgency=medium

  * Fix static libraries: they were compiled with -fPIC.
  * Add missing dependency of liblapacke-dev on libblas-dev and liblapack-dev.
  * Package tmglib. (Closes: #772196)
    + new libtmglib3 and libtmglib-dev packages.
    + now include libtmglib wrappers in lapacke. In particular, drop
      d/p/lapacke_no_matgen.patch.
  * Use upstream version number for filename of shared libraries.
  * Add debug package liblapack-dbg.
  * Remove obsolete Conflicts/Replaces for lapack{,3}-{pic,test,doc}.
  * Drop transitional package liblapack3gf.
  * New patches taken from upstream:
    + dlange_rowmajor_inconsistent.patch
    + dlansy_1_norm_segfault.patch
    + dormlq_interface_check.patch

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 31 Oct 2015 22:27:52 +0100

lapack (3.5.0-4) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Add lapack-netlib.pc support with update-alternatives.

  [ Sébastien Villemot ]
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Oct 2014 21:56:29 +0200

lapack (3.5.0-3) unstable; urgency=medium

  [ Sébastien Villemot ]
  * New patches from upstream and OpenBLAS to fix bugs:
    - cgesvd-zgesvd-stack-corruption.patch
    - zlanhf-clanhf-norm.patch
    - zstemr-n2.patch
  * Remove Sylvestre Ledru from Uploaders. Thanks Sylvestre for your work!
  * ia64_ignore_testfailures.patch: drop patch, ia64 is now gone.
  * Drop obsolete code in maintainer scripts to deal with the transition
    liblapack.so.3gf => liblapack.so.3.

  [ Martin Pitt ]
  * gcc is not enough for the xerbla-c test as we also need libc6-dev and
    others. Just upgrade the dependency to build-essential. (Closes: #740174)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 07 Aug 2014 15:41:29 +0200
