=== debian/control ===
Source: lapack
Section: libs
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9.20150519+ddebs), gfortran, python, dpkg-dev (>= 1.16.1~)
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.6
Homepage: http://www.netlib.org/lapack/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/lapack.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lapack.git

Package: liblapack3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblapack.so.3
Description: Library of linear algebra routines 3 - shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains a shared version of the library.

Package: liblapacke
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblapacke.so.3
Description: Library of linear algebra routines 3 - C lib shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Standard C language library for LAPACK.

Package: liblapacke-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapacke (= ${binary:Version}), libblas-dev | libblas.so,
         liblapack-dev | liblapack.so, libtmglib-dev
Suggests: liblapack-doc-man, liblapack-doc
Description: Library of linear algebra routines 3 - Headers
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains development files for the C language library for LAPACK,
 including a static version of the library.

Package: libtmglib3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: test matrix generators of LAPACK - shared version
 libtmglib is a component of the LAPACK library, containing routines for
 generation of input matrices for testing and timing of LAPACK.
 .
 This package contains a shared version of the library.

Package: libtmglib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtmglib3 (= ${binary:Version}), libblas-dev | libblas.so,
         liblapack-dev | liblapack.so
Description: test matrix generators of LAPACK - development files
 libtmglib is a component of the LAPACK library, containing routines for
 generation of input matrices for testing and timing of LAPACK.
 .
 This package contains development files, including a static version of the
 library.

Package: liblapack-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapack3 (= ${binary:Version}),
 libblas-dev | libblas.so
Provides: liblapack.so
Suggests: liblapack-doc-man, liblapack-doc
Description: Library of linear algebra routines 3 - static version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains a static version of the library.

Package: liblapack-pic
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapack3 (= ${binary:Version})
Description: Library of linear algebra routines 3 - static PIC version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 Normally one would want to use non-PIC code for static linking.  In
 this case, install liblapack-dev.  This package is provided for other
 packages, such as ATLAS, needing access to PIC versions of the lapack
 objects in their own build process.

Package: liblapack-test
Section: devel
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: python
Description: Library of linear algebra routines 3 - testing programs
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 These testing programs have been run against the
 shared library in the lapack package.  The results have been
 collected in the files test_results.  These
 programs are provided separately here so that the user can
 test and compare alternate versions of the lapack libraries,
 such as those provided by the ATLAS packages, and the lapack
 package.

Package: liblapack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Library of linear algebra routines 3 - documentation (HTML)
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Lapack User's Guide manual in HTML format.

Package: liblapack-doc-man
Section: doc
Architecture: all
Depends: ${misc:Depends}
Breaks: libblas-doc (<< 3.6.0)
Replaces: libblas-doc (<< 3.6.0)
Description: Library of linear algebra routines 3 - documentation (manual pages)
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains manpages for all BLAS and LAPACK routines.

Package: libblas3
Architecture: any
Provides: libblas.so.3
Depends: ${shlibs:Depends}, ${misc:Depends}, libblas-common
Description: Basic Linear Algebra Reference implementations, shared library
 BLAS (Basic Linear Algebra Subroutines) is a set of efficient
 routines for most of the basic vector and matrix operations.
 They are widely used as the basis for other high quality linear
 algebra software, for example lapack and linpack.  This
 implementation is the Fortran 77 reference implementation found
 at netlib.
 .
 This package contains a shared version of the library.

Package: libblas-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Dependency package for all BLAS implementations
 The only purpose of this empty package is to ensure multi-arch safety of
 different BLAS implementations. See bug #760936 for more details.

Package: libblas-dev
Architecture: any
Section: libdevel
Provides: libblas.so
Depends: libblas3 (= ${binary:Version}), ${misc:Depends}, gfortran
Suggests: liblapack-doc-man, liblapack-doc
Description: Basic Linear Algebra Subroutines 3, static library
 This package is a binary incompatible upgrade to the blas-dev
 package. Several minor changes to the C interface have been
 incorporated.
 .
 BLAS (Basic Linear Algebra Subroutines) is a set of efficient
 routines for most of the basic vector and matrix operations.
 They are widely used as the basis for other high quality linear
 algebra software, for example lapack and linpack.  This
 implementation is the Fortran 77 reference implementation found
 at netlib.
 .
 This package contains a static version of the library.

Package: libblas-test
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Basic Linear Algebra Subroutines 3, testing programs
 BLAS (Basic Linear Algebra Subroutines) is a set of efficient
 routines for most of the basic vector and matrix operations.
 They are widely used as the basis for other high quality linear
 algebra software, for example lapack and linpack.  This
 implementation is the Fortran 77 reference implementation found
 at netlib.
 .
 This package contains a set of programs which test the integrity of an
 installed blas-compatible shared library. These programs may therefore be used
 to test the libraries provided by the blas package as well as those provided
 by the libatlas3-base and libopenblas-base packages. The programs are
 dynamically linked -- one can explicitly select a library to test by setting
 the libblas.so.3 alternative, or by using the LD_LIBRARY_PATH or LD_PRELOAD
 environment variables. Likewise, one can display the library selected using
 the ldd program in an identical environment.

Package: libblas-doc
Architecture: all
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, liblapack-doc-man
Description: Transitional package for BLAS manpages
 This is a transitional dummy package. It can be safely removed.
