=== debian/watch ===
version=3
http://www.netlib.org/lapack/ lapack-([\d\.]+)\.tgz
