## lapack 3.6.1

=== debian/changelog ===
lapack (3.6.1-2) unstable; urgency=medium

  * d/control: add Breaks of liblapack3 against liblapack3gf. (Closes: #829152)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 15 Jul 2016 11:31:26 +0200

lapack (3.6.1-1) unstable; urgency=medium

  * Imported Upstream version 3.6.1
  * Remove patches applied upstream:
    + parallel_build.patch
    + cblas-makerule.patch
    + cblas-test-output.patch
    + cblas-zblat2.patch
  * fix-typos.patch: former patch applied upstream, but new typos detected by
    lintian, so update the patch.
  * d/control:
    + use secure URLs for Vcs-* fields.
    + bump Standards-Version to 3.9.8, no changes needed.
  * d/rules:
    + fix variable substitution in *.pc files.
    + use --dbgsym-migration option of dh_strip.
      This new option replaces --ddeb-migration.
      Accordingly update versioned B-D of debhelper.
  * Make the build reproducible.
    + remove tests results from liblapack3 doc directory.
    + use locale-independent ordering of object files when creating static lib.
    + Remove files generated by Doxygen which include build dir in pathnames.
    (Closes: #813309)
  * Make lapack-testsuite always succeed, since some failures are expected.
    (Closes: #811191)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 26 Jun 2016 15:43:55 +0200
