=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9.20150519+ddebs), gfortran, python, dpkg-dev (>= 1.16.1~)
+Build-Depends: debhelper (>= 9.20160114~), gfortran, python, dpkg-dev (>= 1.16.1~)
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.netlib.org/lapack/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/lapack.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lapack.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lapack.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/lapack.git
 
 Package: liblapack3
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: liblapack.so.3
+Breaks: liblapack3gf
 Description: Library of linear algebra routines 3 - shared version
  LAPACK version 3.X is a comprehensive FORTRAN library that does
  linear algebra operations including matrix inversions, least
