=== debian/tests/control ===
Tests: xerbla-fortran
Depends: liblapack-dev, gfortran

Tests: xerbla-c
Depends: liblapacke-dev, build-essential

Tests: blas-testsuite
Depends: libblas3, libblas-test

Tests: lapack-testsuite
Depends: libblas3, liblapack3, liblapack-test, python
