## lapack 3.7.0

=== debian/changelog ===
lapack (3.7.0-2) unstable; urgency=medium

  * Fix regression in libblas.a, which was empty since 3.6.1-1.
    The bug has been introduced in the fix for #813309: the $(shell LC_ALL=C ls
    tmp/*.o) construct used to have a consistent ordering of object files is
    evaluated too early, and results in an empty list. Replace it by a $$(env …)
    construct, which is evaluated after the object files have been created.
    (Closes: #863258)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 24 May 2017 16:24:37 +0200

lapack (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0
  * d/copyright: reflect upstream changes.
  * fix-typos.patch: former patch applied upstream, but new typos detected by
    lintian, so update the patch.
  * test-numbering.patch: new patch, needed for autopkgtest lapack-testsuite.
  * Bump to debhelper compat level 10.
  * Allow stderr for blas-testsuite autopkgtest. (Closes: #833567)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 29 Dec 2016 17:26:38 +0100
