=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 endif
 
 %:
-	dh $@ --parallel
+	dh $@
 
 make.inc: INSTALL/make.inc.gfortran
 	sed -e "s,\(^CC  *=\).*,\1 /usr/bin/cc,1" \
@@ -77,8 +77,8 @@
 override_dh_auto_configure: make.inc
 	# Create lapack-netlib.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
-	    -e "s%@CMAKE_INSTALL_PREFIX@%/usr%"  \
-	    -e "s%@CMAKE_INSTALL_LIBDIR@%lib%" < lapack.pc.in > lapack-netlib.pc
+	    -e "s%@prefix@%/usr%"  \
+	    -e "s%@libdir@%/usr/lib%" < lapack.pc.in > lapack-netlib.pc
 
 	# Create lapacke.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
@@ -87,8 +87,8 @@
 
 	# Create blas-netlib.pc
 	sed -e "s%@LAPACK_VERSION@%$(DEB_VERSION_UPSTREAM)%" \
-	    -e "s%@CMAKE_INSTALL_PREFIX@%/usr%"  \
-	    -e "s%@CMAKE_INSTALL_LIBDIR@%lib%" < BLAS/blas.pc.in > BLAS/blas-netlib.pc
+	    -e "s%@prefix@%/usr%"  \
+	    -e "s%@libdir@%/usr/lib%" < BLAS/blas.pc.in > BLAS/blas-netlib.pc
 
 override_dh_auto_build-arch:
 	# Build pic libraries
@@ -141,7 +141,7 @@
 	ar d librefblas.a xerbla.o # We want to use the xerbla.o from libcblas.a
 	mkdir -p tmp
 	cd tmp && ar x ../librefblas.a && ar x ../libcblas.a
-	ar r libblas.a $(shell LC_ALL=C ls tmp/*.o)
+	ar r libblas.a $$(env LC_ALL=C ls tmp/*.o)
 	rm -rf tmp
 
 	# Build the test programs, in order to avoid FTBFS if DEB_BUILD_OPTIONS contains nocheck
